Subject: RE: [AVT] RE: I-D ACTION:draft-ash-e2e-voip-hdr-comp-rqmts-01.txt

From: raymond zhang <[email-masked]>
Date: Wed, 08 Oct 2003 10:31:01 -0700

At 06:15 AM 10/8/2003 -0500, Ash, Gerald R (Jerry) wrote:
>Jerry> Please review the updated 01 version of the 'Requirements
>Jerry> for VoIP Header Compression over Multiple-Hop Paths'
>Jerry> 
>http://www.ietf.org/internet-drafts/draft-ash-e2e-voip-hdr-comp-rqmts-01.txt.
>Jerry> Please let us know your comments and suggestions.
>
>Colin> I think this gives a reasonable overview of the problem
>Colin> space.
>
>Thanks.
>
>Colin> I'd be interested, though, to see more discussion of
>Colin> the limiting factor when supporting many hop-by-hop
>Colin> CRTP flows: is the primary bottleneck processing power
>Colin> in the router, or the amount of per-flow state that
>Colin> has to be maintained? Multi-hop header compression will
>Colin> reduce the computation, but it's not clear that it will
>Colin> help with the state overhead.
>
>IMO this is a scalability question for vendors to answer as far as how 
>many multi-hop header compression (MHHC) VoIP flows can be maintained in 
>the router versus when real-time runs out versus other limitations.  I 
>would expect the answer to be vendor dependent depending on their 
>hardware/software implementation.
>
>Right now the CRTP limitation is processor power (~100 --> a few hundred 
>CRTP flows or so).  MHHC will increase the number of compressed flows a 
>router can handle so maybe some other limiting factor will take over 
>instead of processor power.  Obviously there will still be some limiting 
>factor, be it processor power, flow-state limitations, or whatever.
>
>It would be good to hear some comments from vendors on this.

Further on Jerry's response, there maybe two aspects of this: number of HC 
flows on the gw (CE) and the number crtp flow states which is in our 
current thinking is at the PE edge router only and the MPLS Core (P core) 
will not maintain nor know anything about them...

Regards,
Raymond

>Thanks,
>Jerry

_______________________________________________
Audio/Video Transport Working Group
[email-masked]
https://www1.ietf.org/mailman/listinfo/avt

---

From: Colin Perkins <[email-masked]>
Date: Wed, 8 Oct 2003 21:47:43 +0100

> At 06:15 AM 10/8/2003 -0500, Ash, Gerald R (Jerry) wrote:
...
>> IMO this is a scalability question for vendors to answer as far as 
>> how many multi-hop header compression (MHHC) VoIP flows can be 
>> maintained in the router versus when real-time runs out versus other 
>> limitations.  I would expect the answer to be vendor dependent 
>> depending on their hardware/software implementation.
>>
>> Right now the CRTP limitation is processor power (~100 --> a few 
>> hundred CRTP flows or so).  MHHC will increase the number of 
>> compressed flows a router can handle so maybe some other limiting 
>> factor will take over instead of processor power.  Obviously there 
>> will still be some limiting factor, be it processor power, flow-state 
>> limitations, or whatever.
>>
> Further on Jerry's response, there maybe two aspects of this: number 
> of HC flows on the gw (CE) and the number crtp flow states which is in 
> our current thinking is at the PE edge router only and the MPLS Core 
> (P core) will not maintain nor know anything about them...

The core will need to maintain some state for MPLS, no? How large is 
that compared to the CRTP state?

-- 
Colin Perkins
http://csperkins.org/

---

From: raymond zhang <[email-masked]>
Date: Wed, 15 Oct 2003 10:30:36 -0700

Hi Colin,

Sorry for the delayed response...

At 09:47 PM 10/8/2003 +0100, Colin Perkins wrote:
>>Further on Jerry's response, there maybe two aspects of this: number of 
>>HC flows on the gw (CE) and the number crtp flow states which is in our 
>The core will need to maintain some state for MPLS, no? How large is that 
>compared to the CRTP state?

Yes..  Much less though since the P routers in a MPLS core would only need 
to maintain label states for reaching PE routers in the network.

Cheers,
Raymond